This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 970865 - Testsuite failure: tst-aiod2.c and tst-aiod3.c build failure
Testsuite failure: tst-aiod2.c and tst-aiod3.c build failure
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Siddhesh Poyarekar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-05 02:39 EDT by Siddhesh Poyarekar
Modified: 2015-09-13 20:23 EDT (History)
7 users (show)

See Also:
Fixed In Version: glibc-2.17-14.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-23 05:51:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Siddhesh Poyarekar 2013-06-05 02:39:33 EDT
Description of problem:
The test cases tst-aiod2.c and tst-aiod3.c fail to build:

tst-aiod3.c: In function 'thrfct':
tst-aiod3.c:35:3: warning: implicit declaration of function 'pthread_barrier_wait' [-Wimplicit-function-declaration]
   int e = pthread_barrier_wait (&b);
   ^
tst-aiod3.c:36:22: error: 'PTHREAD_BARRIER_SERIAL_THREAD' undeclared (first use in this function)
   if (e != 0 && e != PTHREAD_BARRIER_SERIAL_THREAD)
                      ^
tst-aiod3.c:36:22: note: each undeclared identifier is reported only once for each function it appears in
tst-aiod3.c: In function 'do_test':
tst-aiod3.c:62:3: warning: implicit declaration of function 'pthread_barrier_init' [-Wimplicit-function-declaration]
   if (pthread_barrier_init (&b, NULL, 2) != 0)
   ^
tst-aiod3.c:120:22: error: 'PTHREAD_BARRIER_SERIAL_THREAD' undeclared (first use in this function)
   if (e != 0 && e != PTHREAD_BARRIER_SERIAL_THREAD)
                      ^

tst-aiod2.c: In function 'thrfct':
tst-aiod2.c:36:3: warning: implicit declaration of function 'pthread_barrier_wait' [-Wimplicit-function-declaration]
   int e = pthread_barrier_wait (&b);
   ^
tst-aiod2.c:37:22: error: 'PTHREAD_BARRIER_SERIAL_THREAD' undeclared (first use in this function)
   if (e != 0 && e != PTHREAD_BARRIER_SERIAL_THREAD)
                      ^
tst-aiod2.c:37:22: note: each undeclared identifier is reported only once for each function it appears in
tst-aiod2.c: In function 'do_test':
tst-aiod2.c:63:3: warning: implicit declaration of function 'pthread_barrier_init' [-Wimplicit-function-declaration]
   if (pthread_barrier_init (&b, NULL, 2) != 0)
   ^
tst-aiod2.c:117:22: error: 'PTHREAD_BARRIER_SERIAL_THREAD' undeclared (first use in this function)
   if (e != 0 && e != PTHREAD_BARRIER_SERIAL_THREAD)
                      ^

Version-Release number of selected component (if applicable):
glibc-2.17.90-1.fc20

How reproducible:
Always.

Steps to Reproduce:
See Build log.

Additional info:
The tests fail to include pthread.h.
Comment 1 Fedora Update System 2013-08-26 08:34:13 EDT
glibc-2.17-14.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/glibc-2.17-14.fc19
Comment 2 Fedora Update System 2013-08-27 19:29:37 EDT
glibc-2.17-14.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.